Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 444280 (CVE-2012-5576) - <media-gfx/gimp-2.8.2-r1: memory corruption vulnerability (CVE-2012-5576)
Summary: <media-gfx/gimp-2.8.2-r1: memory corruption vulnerability (CVE-2012-5576)
Status: RESOLVED FIXED
Alias: CVE-2012-5576
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B2 [glsa]
Keywords:
Depends on: 481736
Blocks:
  Show dependency tree
 
Reported: 2012-11-22 10:26 UTC by Agostino Sarubbo
Modified: 2013-11-10 15:14 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2012-11-22 10:26:19 UTC
From http://www.openwall.com/lists/oss-security/2012/11/21/2 :

Name: Gimp memory corruption vulnerability
Software: GIMP 2.8.2
Software link: http://www.gimp.org/ <http://plib.sourceforge.net/>
Vulnerability Type: Memory Corruption

Description:

GIMP 2.8.2 is vulnerable to memory corruption when reading XWD files, which
could lead even to arbitrary code execution.

Upstream fix:
http://git.gnome.org/browse/gimp/commit/?id=2873262fccba12af144ed96ed91be144d92ff2e1
(fixed in master and gimp-2-8)

References:
https://bugzilla.gnome.org/show_bug.cgi?id=687392
Comment 1 Sebastian Pipping gentoo-dev 2012-11-25 19:39:11 UTC
+*gimp-2.8.2-r1 (25 Nov 2012)
+
+  25 Nov 2012; Sebastian Pipping <sping@gentoo.org> +gimp-2.8.2-r1.ebuild,
+  +files/gimp-2.8.2-xwd-file-security.patch:
+  Apply upstream security patch on reading XWD files (bug #444280)
+
Comment 2 GLSAMaker/CVETool Bot gentoo-dev 2012-12-23 00:44:11 UTC
CVE-2012-5576 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2012-5576):
  Multiple stack-based buffer overflows in file-xwd.c in the X Window Dump
  (XWD) plug-in in GIMP 2.8.2 allow remote attackers to cause a denial of
  service (crash) and possibly execute arbitrary code via a large (1) red, (2)
  green, or (3) blue color mask in an XWD file.
Comment 3 Tim Sammut (RETIRED) gentoo-dev 2013-01-02 18:52:40 UTC
Thanks, Sebastian. Is 2.6.12 affected? And should we begin stabilization of 2.8.2-r1?
Comment 4 Chris Reffett gentoo-dev Security 2013-09-11 03:43:07 UTC
Arches, please test and stabilize:
=media-gfx/gimp-2.8.2
Target arches: alpha amd64 hppa ia64 ppc ppc64 sparc x86
Comment 5 Sergey Popov gentoo-dev Security 2013-10-07 10:10:29 UTC
Added to existing GLSA draft
Comment 6 GLSAMaker/CVETool Bot gentoo-dev 2013-11-10 15:14:23 UTC
This issue was resolved and addressed in
 GLSA 201311-05 at http://security.gentoo.org/glsa/glsa-201311-05.xml
by GLSA coordinator Sean Amoss (ackle).